`<elemDecl>` | (element declaration) contains the full form of an SGML declaration for the element documented using the reference concrete syntax.
Attributes: |
Example | The contents of this element are usually surrounded by a CDATA marked section, which prevents the markup-declaration-open delimiter (``
    <elemDecl>
    <![ CDATA [
    <!ELEMENT list - - (head?, ((item*)
                       | (head.label?, head.item?,
                       (label, item)+)))  >
    ]]>
    </elemDecl>
The markup-declaration-open delimiter can however also be given as (or be interrupted by) an entity reference:
    <elemDecl>
    <!ELEMENT list - - (head?, ((item*)
                       | (head.label?, head.item?,
                       (label, item)+)))  >
    </elemDecl>
Tagset | auxiliary tag set for tag set declarations
Class |
Filename | `teitsd2`
Content: | The declaration must be enclosed with a CDATA marked section, or else the opening delimiter must be given by an entity reference.
Parents | tagDoc
Children | #PCDATA
Declaration |
    <!ELEMENT elemDecl      - O  (#PCDATA)                          >
    <!ATTLIST elemDecl           %a.global                          >
See | 27.1

Back to index